import React, { useContext, useState, useEffect } from "react";
import usersService from "../services/UsersService";
import MyPendingJobs from "../components/MyPendingJobs";
import { useSelector } from "react-redux";

export default function MyPendingJobsPage() {
  let { commonHeadBanner } = useSelector((state) => state.commonHeadBanner);
  const [MyJobList, setMyJobList] = useState([]);
  const api = new usersService();

  const getMyJobList = async () => {
    try {
      const res = await api.getMyPendingJobList();
      setMyJobList(res.data);
    } catch (error) {
      console.log("Error getting mode");
    }
  };
  useEffect(() => {
    getMyJobList();
  }, []);

  // debugger;
  return (
    <>
      <MyPendingJobs
        MyJobList={MyJobList}
        commonHeadData={commonHeadBanner.result_list}
      />
    </>
  );
}
